# PetscFListPrintTypes

Prints the methods available.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscFListPrintTypes(PetscFList list,MPI_Comm comm,FILE *fd,const char prefix[],const char name[],const char text[],const char man[])

Collective over MPI_Comm

### Input Parameters

| comm | - the communicator (usually MPI_COMM_WORLD)
| fd | - file to print to, usually stdout
| prefix | - prefix to prepend to name (optional)
| name | - option string (for example, "-ksp_type")
| text | - short description of the object (for example, "Krylov solvers")
| man | - name of manual page that discusses the object (for example, "KSPCreate")
| list | - list of types

### See Also

PetscFListAddDynamic(), PetscFList

Level:developer
Location: src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages